﻿using Syncfusion.Windows.Forms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MSDataGridView
{
    public partial class Form1 : MetroForm
    {
        public Form1()
        {
            InitializeComponent();
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(bool));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            // Here we add five DataRows.
            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);
            this.dataGridView1.DataSource = table;
            this.dataGridView1.CurrentCellDirtyStateChanged += DataGridView1_CurrentCellDirtyStateChanged;


        }


        // To commit the cell value when the value is in dirty state.
        private void DataGridView1_CurrentCellDirtyStateChanged(object sender, System.EventArgs e)
        {
            if (dataGridView1.CurrentCell.ColumnIndex == 0 && dataGridView1.IsCurrentCellDirty)
            {
                dataGridView1.CommitEdit(DataGridViewDataErrorContexts.Commit);
            }
        }

        //SplitButton click
        private void button1_Click(object sender, EventArgs e)
        {
            List<int> list = new List<int>();
            foreach (DataGridViewRow Row in dataGridView1.Rows)
            {
                object temp = Row.Cells[0].Value;
                if (temp!=null && (bool)temp == true)
                {
                    listBox1.Items.Add(Row.Cells[1].Value);
                }
            }

          
        }

        //MS Button click
        private void button2_Click_1(object sender, EventArgs e)
        {
            foreach (DataGridViewRow Row in dataGridView1.Rows)
            {
                object temp = Row.Cells[0].Value;
                if (temp != null && (bool)temp == true)
                {
                    listBox1.Items.Add(Row.Cells[1].Value);
                }
            }

        }

        //Customcontrol click
        private void Customcontrol_click(object sender, EventArgs e)
        {
            foreach (DataGridViewRow Row in dataGridView1.Rows)
            {
                object temp = Row.Cells[0].Value;
                if (temp != null && (bool)temp == true)
                {
                    listBox1.Items.Add(Row.Cells[1].Value);
                }
            }
        }

        //Toggle Button click
        private void button4_Click(object sender, EventArgs e)
        {
            foreach (DataGridViewRow Row in dataGridView1.Rows)
            {
                object temp = Row.Cells[0].Value;
                if (temp != null && (bool)temp == true)
                {
                    listBox1.Items.Add(Row.Cells[1].Value);
                }
            }
        }

      
    }
}
